Subject: Re: bug#68375: 29.1; lispref documentation fixes

From: Stephen Berman <[email-masked]>
Date: Thu, 11 Jan 2024 15:32:10 +0100

On Thu, 11 Jan 2024 15:21:08 +0100 Stephen Berman <[email-masked]> wrote:

> On Thu, 11 Jan 2024 14:44:35 +0100 Stephen Berman <[email-masked]> wrote:
>
>> On Thu, 11 Jan 2024 12:46:34 +0200 Eli Zaretskii <[email-masked]> wrote:
>>
>>>> From: Xiyue Deng <[email-masked]>
>>>> Date: Wed, 10 Jan 2024 14:56:23 -0800
>>>> 
>>>> Please find the attached patches for a cumulation of documentation fixes
>>>> for lispref up to chapter 19 that includes typos, formatting, etc.
>>>> Please let me know if any changes need improvements and I'll adjust
>>>> accordingly.
>>>
>>> Thanks.  See below.
>> [...]
>>>>    A string is a fixed sequence of characters.  It is a type of
>>>> -sequence called a @dfn{array}, meaning that its length is fixed and
>>>> +sequence called an @dfn{array}, meaning that its length is fixed and
>>>
>>> The "an" here is correct, since in a manual one sees "an array", which
>>> is correct English.  So I didn't install this part.
>>
>> You misread the patch, it changes "a" to "an", which makes the text
>> correct English.  I thought I'd save you some work by installing the
>> patch myself, which I just did, but unfortunately to master instead of
>> emacs-29 (and also forgot to add the bug number).  Should I revert it
>> and install to the release branch?  Sorry for the trouble.
>
> I went ahead and reverted the change on master and installed it on
> emacs-29 (with bug number).

... but without the "Copyright-paperwork-exempt: yes" cookie 😕.  Should
I revert again?  (This time I will not act without explicit permission.)

Steve Berman